Compression (Gradle API 7.6.4)

Package org.gradle.api.tasks.bundling

## Enum Compression

- java.lang.Object
- - java.lang.Enum<Compression>
  - - org.gradle.api.tasks.bundling.Compression

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Compression>`

      public enum Compression
      extends java.lang.Enum<Compression>

  Specifies the compression which should be applied to a TAR archive.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BZIP2` |
    `GZIP` |
    `NONE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDefaultExtension()` |
    `java.util.List<java.lang.String>` | `getSupportedExtensions()` |
    `static Compression` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Compression[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final Compression NONE

    - #### GZIP

          public static final Compression GZIP

    - #### BZIP2

          public static final Compression BZIP2

  - ### Method Detail

    - #### values

          public static Compression[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Compression c : Compression.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Compression valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDefaultExtension

          public java.lang.String getDefaultExtension()

    - #### getSupportedExtensions

          public java.util.List<java.lang.String> getSupportedExtensions()